Verify Credential
curl --request POST \
--url https://api.example.com/credentials/verify \
--header 'Content-Type: application/json' \
--data '
{
"verifiableCredential": {
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://www.w3.org/2018/credentials/examples/v1"
],
"id": "http://example.gov/credentials/3732",
"type": [
"VerifiableCredential",
"UniversityDegreeCredential"
],
"issuer": "did:example:123",
"issuanceDate": "2020-03-16T22:37:26.544Z",
"expirationDate": "2021-03-16T22:37:26.544Z",
"credentialSubject": {
"id": "did:example:123",
"degree": {
"type": "BachelorDegree",
"name": "Bachelor of Science and Arts"
}
},
"proof": {
"type": "<string>",
"created": "<string>",
"verificationMethod": "<string>",
"proofPurpose": "<string>",
"jws": "<string>"
}
},
"options": {
"verificationMethod": "did:example:123#z6MksHh7qHWvybLg5QTPPdG2DgEjjduBDArV9EF9mRiRzMBN",
"proofPurpose": "assertionMethod",
"created": "2020-04-02T18:48:36Z",
"challenge": "d436f0c8-fbd9-4e48-bbb2-55fc5d0920a8",
"domain": "example.com"
}
}
'import requests
url = "https://api.example.com/credentials/verify"
payload = {
"verifiableCredential": {
"@context": ["https://www.w3.org/2018/credentials/v1", "https://www.w3.org/2018/credentials/examples/v1"],
"id": "http://example.gov/credentials/3732",
"type": ["VerifiableCredential", "UniversityDegreeCredential"],
"issuer": "did:example:123",
"issuanceDate": "2020-03-16T22:37:26.544Z",
"expirationDate": "2021-03-16T22:37:26.544Z",
"credentialSubject": {
"id": "did:example:123",
"degree": {
"type": "BachelorDegree",
"name": "Bachelor of Science and Arts"
}
},
"proof": {
"type": "<string>",
"created": "<string>",
"verificationMethod": "<string>",
"proofPurpose": "<string>",
"jws": "<string>"
}
},
"options": {
"verificationMethod": "did:example:123#z6MksHh7qHWvybLg5QTPPdG2DgEjjduBDArV9EF9mRiRzMBN",
"proofPurpose": "assertionMethod",
"created": "2020-04-02T18:48:36Z",
"challenge": "d436f0c8-fbd9-4e48-bbb2-55fc5d0920a8",
"domain": "example.com"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
verifiableCredential: {
'@context': [
'https://www.w3.org/2018/credentials/v1',
'https://www.w3.org/2018/credentials/examples/v1'
],
id: 'http://example.gov/credentials/3732',
type: ['VerifiableCredential', 'UniversityDegreeCredential'],
issuer: 'did:example:123',
issuanceDate: '2020-03-16T22:37:26.544Z',
expirationDate: '2021-03-16T22:37:26.544Z',
credentialSubject: {
id: 'did:example:123',
degree: {type: 'BachelorDegree', name: 'Bachelor of Science and Arts'}
},
proof: {
type: '<string>',
created: '<string>',
verificationMethod: '<string>',
proofPurpose: '<string>',
jws: '<string>'
}
},
options: {
verificationMethod: 'did:example:123#z6MksHh7qHWvybLg5QTPPdG2DgEjjduBDArV9EF9mRiRzMBN',
proofPurpose: 'assertionMethod',
created: '2020-04-02T18:48:36Z',
challenge: 'd436f0c8-fbd9-4e48-bbb2-55fc5d0920a8',
domain: 'example.com'
}
})
};
fetch('https://api.example.com/credentials/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checks": [
"proof"
],
"warnings": [],
"errors": []
}Credentials
Verify Credential
Verifies a verifiableCredential and returns a verificationResult in the response body.
POST
/
credentials
/
verify
Verify Credential
Body
application/json
⌘I